Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JListOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JListOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JListOperator
extends JComponentOperator
implements Outputable

Timeouts used:
ComponentOperator.WaitComponentTimeout - time to wait component displayed
ComponentOperator.WaitStateTimeout - time to wait for item, and for item to be selected
JScrollBarOperator.OneScrollClickTimeout - time for one scroll click
JScrollBarOperator.WholeScrollTimeout - time for the whole scrolling
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JListOperator.JListByItemFinder` Allows to find component by an item.
`static class` | `JListOperator.JListFinder` Checks component type.
`static interface` | `JListOperator.ListItemChooser` Iterface to choose list item.
`class` | `JListOperator.NoSuchItemException` Can be throught during item selecting if list does not have item requested.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `ITEM_PREFIX_DPROP` Identifier for a "item" properties.
`static java.lang.String` | `SELECTED_ITEM_PREFIX_DPROP` Identifier for a "selected item" property.

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JListOperator(ContainerOperator cont)` Constructor.
`JListOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JListOperator object.
`JListOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JListOperator object.
`JListOperator(ContainerOperator cont, int index)` Constructor.
`JListOperator(ContainerOperator cont, java.lang.String text)` Constructor.
`JListOperator(ContainerOperator cont, java.lang.String text, int index)` Constructor.
`JListOperator(ContainerOperator cont, java.lang.String text, int itemIndex, int index)` Constructor.
`JListOperator(javax.swing.JList b)` Constructor.

Method Summary
`void` | `addListSelectionListener(javax.swing.event.ListSelectionListener listSelectionListener)` Maps `JList.addListSelectionListener(ListSelectionListener)` through queue
`void` | `addSelectionInterval(int i, int i1)` Maps `JList.addSelectionInterval(int, int)` through queue
`void` | `clearSelection()` Maps `JList.clearSelection()` through queue
`java.lang.Object` | `clickOnItem(int itemIndex, int clickCount)` Clicks on item by item index.
`java.lang.Object` | `clickOnItem(java.lang.String item)` Finds item by item text, and do simple mouse click on it.
`java.lang.Object` | `clickOnItem(java.lang.String item, boolean ce, boolean cc)` Deprecated. Use clickOnItem(String) or clickOnItem(String, StringComparator)
`java.lang.Object` | `clickOnItem(java.lang.String item, boolean ce, boolean cc, int clickCount)` Deprecated. Use clickOnItem(String, int) or clickOnItem(String, StringComparator, int)
`java.lang.Object` | `clickOnItem(java.lang.String item, int clickCount)` Finds item by item text, and do mouse click on it.
`java.lang.Object` | `clickOnItem(java.lang.String item, Operator.StringComparator comparator)` Finds item by item text, and do simple mouse click on it.
`java.lang.Object` | `clickOnItem(java.lang.String item, Operator.StringComparator comparator, int clickCount)` Finds item by item text, and do mouse click on it.
`void` | `copyEnvironment(Operator anotherOperator)` Copies all environment (output, timeouts, visualizer) from another operator.
`void` | `ensureIndexIsVisible(int i)` Maps `JList.ensureIndexIsVisible(int)` through queue
`int` | `findItemIndex(ComponentChooser chooser)` Searches for an item by rendered component.
`int` | `findItemIndex(ComponentChooser chooser, int index)` Searches for index'th item by rendered component.
`int` | `findItemIndex(JListOperator.ListItemChooser chooser)` Searches for an item good from chooser's point of view.
`int` | `findItemIndex(JListOperator.ListItemChooser chooser, int index)` Searches for index'th item good from chooser's point of view.
`int` | `findItemIndex(java.lang.String item)` Searched for first item by text.
`int` | `findItemIndex(java.lang.String item, boolean ce, boolean cc)` Deprecated. Use findItemIndex(String) or findItemIndex(String, StringComparator)
`int` | `findItemIndex(java.lang.String item, boolean ce, boolean cc, int index)` Deprecated. Use findItemIndex(String, int) or findItemIndex(String, StringComparator, int)
`int` | `findItemIndex(java.lang.String item, int index)` Searched for index'th item by text.
`int` | `findItemIndex(java.lang.String item, Operator.StringComparator comparator)` Searches for an item good from chooser's point of view.
`int` | `findItemIndex(java.lang.String item, Operator.StringComparator comparator, int index)` Searches for an item good from chooser's point of view.
`static javax.swing.JList` | `findJList(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JList in container.
`static javax.swing.JList` | `findJList(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JList in container.
`static javax.swing.JList` | `findJList(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int itemIndex)` Searches JList by item.
`static javax.swing.JList` | `findJList(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int itemIndex, int index)` Searches JList by item.
`int` | `getAnchorSelectionIndex()` Maps `JList.getAnchorSelectionIndex()` through queue
`java.awt.Rectangle` | `getCellBounds(int i, int i1)` Maps `JList.getCellBounds(int, int)` through queue
`javax.swing.ListCellRenderer` | `getCellRenderer()` Maps `JList.getCellRenderer()` through queue
`java.awt.Point` | `getClickPoint(int itemIndex)` Gets point to click on itemIndex'th item.
`java.util.Hashtable` | `getDump()` Returns information about component.
`int` | `getFirstVisibleIndex()` Maps `JList.getFirstVisibleIndex()` through queue
`int` | `getFixedCellHeight()` Maps `JList.getFixedCellHeight()` through queue
`int` | `getFixedCellWidth()` Maps `JList.getFixedCellWidth()` through queue
`int` | `getLastVisibleIndex()` Maps `JList.getLastVisibleIndex()` through queue
`int` | `getLeadSelectionIndex()` Maps `JList.getLeadSelectionIndex()` through queue
`int` | `getMaxSelectionIndex()` Maps `JList.getMaxSelectionIndex()` through queue
`int` | `getMinSelectionIndex()` Maps `JList.getMinSelectionIndex()` through queue
`javax.swing.ListModel` | `getModel()` Maps `JList.getModel()` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`java.awt.Dimension` | `getPreferredScrollableViewportSize()` Maps `JList.getPreferredScrollableViewportSize()` through queue
`java.lang.Object` | `getPrototypeCellValue()` Maps `JList.getPrototypeCellValue()` through queue
`java.awt.Component` | `getRenderedComponent(int itemIndex)` Ask renderer for component to be displayed.
`java.awt.Component` | `getRenderedComponent(int itemIndex, boolean isSelected, boolean cellHasFocus)` Ask renderer for component to be displayed.
`int` | `getScrollableBlockIncrement(java.awt.Rectangle rectangle, int i, int i1)` Maps `JList.getScrollableBlockIncrement(Rectangle, int, int)` through queue
`boolean` | `getScrollableTracksViewportHeight()` Maps `JList.getScrollableTracksViewportHeight()` through queue
`boolean` | `getScrollableTracksViewportWidth()` Maps `JList.getScrollableTracksViewportWidth()` through queue
`int` | `getScrollableUnitIncrement(java.awt.Rectangle rectangle, int i, int i1)` Maps `JList.getScrollableUnitIncrement(Rectangle, int, int)` through queue
`int` | `getSelectedIndex()` Maps `JList.getSelectedIndex()` through queue
`int[]` | `getSelectedIndices()` Maps `JList.getSelectedIndices()` through queue
`java.lang.Object` | `getSelectedValue()` Maps `JList.getSelectedValue()` through queue
`java.lang.Object[]` | `getSelectedValues()` Maps `JList.getSelectedValues()` through queue
`java.awt.Color` | `getSelectionBackground()` Maps `JList.getSelectionBackground()` through queue
`java.awt.Color` | `getSelectionForeground()` Maps `JList.getSelectionForeground()` through queue
`int` | `getSelectionMode()` Maps `JList.getSelectionMode()` through queue
`javax.swing.ListSelectionModel` | `getSelectionModel()` Maps `JList.getSelectionModel()` through queue
`javax.swing.plaf.ListUI` | `getUI()` Maps `JList.getUI()` through queue
`boolean` | `getValueIsAdjusting()` Maps `JList.getValueIsAdjusting()` through queue
`int` | `getVisibleRowCount()` Maps `JList.getVisibleRowCount()` through queue
`java.awt.Point` | `indexToLocation(int i)` Maps `JList.indexToLocation(int)` through queue
`boolean` | `isSelectedIndex(int i)` Maps `JList.isSelectedIndex(int)` through queue
`boolean` | `isSelectionEmpty()` Maps `JList.isSelectionEmpty()` through queue
`int` | `locationToIndex(java.awt.Point point)` Maps `JList.locationToIndex(Point)` through queue
`void` | `removeListSelectionListener(javax.swing.event.ListSelectionListener listSelectionListener)` Maps `JList.removeListSelectionListener(ListSelectionListener)` through queue
`void` | `removeSelectionInterval(int i, int i1)` Maps `JList.removeSelectionInterval(int, int)` through queue
`void` | `scrollToItem(int itemIndex)` Scrolls to an item if the list is on a JScrollPane component.
`void` | `scrollToItem(java.lang.String item, boolean ce, boolean cc)` Deprecated. Use scrollToItem(String) or scrollToItem(String, StringComparator)
`void` | `scrollToItem(java.lang.String item, Operator.StringComparator comparator)` Scrolls to an item if the list is on a JScrollPane component.
`void` | `selectItem(int index)` Selects an item by index.
`void` | `selectItem(java.lang.String item)` Selects an item by text.
`void` | `selectItem(java.lang.String[] items)` Selects items by texts.
`void` | `selectItems(int[] indices)` Selects items by indices.
`void` | `setCellRenderer(javax.swing.ListCellRenderer listCellRenderer)` Maps `JList.setCellRenderer(ListCellRenderer)` through queue
`void` | `setFixedCellHeight(int i)` Maps `JList.setFixedCellHeight(int)` through queue
`void` | `setFixedCellWidth(int i)` Maps `JList.setFixedCellWidth(int)` through queue
`void` | `setListData(java.lang.Object[] object)` Maps `JList.setListData(Object[])` through queue
`void` | `setListData(java.util.Vector vector)` Maps `JList.setListData(Vector)` through queue
`void` | `setModel(javax.swing.ListModel listModel)` Maps `JList.setModel(ListModel)` through queue
`void` | `setOutput(TestOut output)` Defines print output streams or writers.
`void` | `setPrototypeCellValue(java.lang.Object object)` Maps `JList.setPrototypeCellValue(Object)` through queue
`void` | `setSelectedIndex(int i)` Maps `JList.setSelectedIndex(int)` through queue
`void` | `setSelectedIndices(int[] i)` Maps `JList.setSelectedIndices(int[])` through queue
`void` | `setSelectedValue(java.lang.Object object, boolean b)` Maps `JList.setSelectedValue(Object, boolean)` through queue
`void` | `setSelectionBackground(java.awt.Color color)` Maps `JList.setSelectionBackground(Color)` through queue
`void` | `setSelectionForeground(java.awt.Color color)` Maps `JList.setSelectionForeground(Color)` through queue
`void` | `setSelectionInterval(int i, int i1)` Maps `JList.setSelectionInterval(int, int)` through queue
`void` | `setSelectionMode(int i)` Maps `JList.setSelectionMode(int)` through queue
`void` | `setSelectionModel(javax.swing.ListSelectionModel listSelectionModel)` Maps `JList.setSelectionModel(ListSelectionModel)` through queue
`void` | `setUI(javax.swing.plaf.ListUI listUI)` Maps `JList.setUI(ListUI)` through queue
`void` | `setValueIsAdjusting(boolean b)` Maps `JList.setValueIsAdjusting(boolean)` through queue
`void` | `setVisibleRowCount(int i)` Maps `JList.setVisibleRowCount(int)` through queue
`void` | `waitItem(java.lang.String item, int itemIndex)` Waits for item.
`void` | `waitItemSelection(int itemIndex, boolean selected)` Waits for item to be selected.
`void` | `waitItemsSelection(int[] itemIndices, boolean selected)` Waits for items to be selected.
`static javax.swing.JList` | `waitJList(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JList in container.
`static javax.swing.JList` | `waitJList(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JList in container.
`static javax.swing.JList` | `waitJList(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int itemIndex)` Waits JList by item.
`static javax.swing.JList` | `waitJList(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int itemIndex, int index)` Waits JList by item.

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getTimeouts, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setTimeouts, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ITEM_PREFIX_DPROP

    public static final java.lang.String ITEM_PREFIX_DPROP

  Identifier for a "item" properties.
  See Also:
    `getDump()`

### SELECTED_ITEM_PREFIX_DPROP

    public static final java.lang.String SELECTED_ITEM_PREFIX_DPROP

  Identifier for a "selected item" property.
  See Also:
    `getDump()`

Constructor Detail

### JListOperator

    public JListOperator(javax.swing.JList b)

  Constructor.
  Parameters:
    `b` - a component

### JListOperator

    public JListOperator(ContainerOperator cont,
                         ComponentChooser chooser,
                         int index)

  Constructs a JListOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JListOperator

    public JListOperator(ContainerOperator cont,
                         ComponentChooser chooser)

  Constructs a JListOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JListOperator

    public JListOperator(ContainerOperator cont,
                         java.lang.String text,
                         int itemIndex,
                         int index)

  Constructor. Waits item text first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Text of item which is currently selected.
    `itemIndex` - Item index.
    `index` - Ordinal component index.

### JListOperator

    public JListOperator(ContainerOperator cont,
                         java.lang.String text,
                         int index)

  Constructor. Waits component by selected item text first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Text of item which is currently selected.
    `index` - Ordinal component index.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JListOperator

    public JListOperator(ContainerOperator cont,
                         java.lang.String text)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Text of item which is currently selected.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JListOperator

    public JListOperator(ContainerOperator cont,
                         int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `index` - Ordinal component index.

### JListOperator

    public JListOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container

Method Detail

### findJList

    public static javax.swing.JList findJList(java.awt.Container cont,
                                              ComponentChooser chooser,
                                              int index)

  Searches JList in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JList instance or null if component was not found.

### findJList

    public static javax.swing.JList findJList(java.awt.Container cont,
                                              ComponentChooser chooser)

  Searches 0'th JList in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JList instance or null if component was not found.

### findJList

    public static javax.swing.JList findJList(java.awt.Container cont,
                                              java.lang.String text,
                                              boolean ce,
                                              boolean ccs,
                                              int itemIndex,
                                              int index)

  Searches JList by item.
  Parameters:
    `cont` - Container to search component in.
    `text` - Item text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `itemIndex` - Index of item to compare text. If -1, selected item is checked.
    `index` - Ordinal component index.
  Returns:
    JList instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJList

    public static javax.swing.JList findJList(java.awt.Container cont,
                                              java.lang.String text,
                                              boolean ce,
                                              boolean ccs,
                                              int itemIndex)

  Searches JList by item.
  Parameters:
    `cont` - Container to search component in.
    `text` - Item text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `itemIndex` - Index of item to compare text. If -1, selected item is checked.
  Returns:
    JList instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJList

    public static javax.swing.JList waitJList(java.awt.Container cont,
                                              ComponentChooser chooser,
                                              int index)

  Waits JList in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JList instance or null if component was not found.

### waitJList

    public static javax.swing.JList waitJList(java.awt.Container cont,
                                              ComponentChooser chooser)

  Waits 0'th JList in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JList instance or null if component was not found.

### waitJList

    public static javax.swing.JList waitJList(java.awt.Container cont,
                                              java.lang.String text,
                                              boolean ce,
                                              boolean ccs,
                                              int itemIndex,
                                              int index)

  Waits JList by item.
  Parameters:
    `cont` - Container to search component in.
    `text` - Item text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `itemIndex` - Index of item to compare text. If -1, selected item is checked.
    `index` - Ordinal component index.
  Returns:
    JList instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJList

    public static javax.swing.JList waitJList(java.awt.Container cont,
                                              java.lang.String text,
                                              boolean ce,
                                              boolean ccs,
                                              int itemIndex)

  Waits JList by item.
  Parameters:
    `cont` - Container to search component in.
    `text` - Item text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `itemIndex` - Index of item to compare text. If -1, selected item is checked.
  Returns:
    JList instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### setOutput

    public void setOutput(TestOut output)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### copyEnvironment

    public void copyEnvironment(Operator anotherOperator)

  Description copied from class: `Operator`
  Copies all environment (output, timeouts, visualizer) from another operator.
  Overrides:
    `copyEnvironment` in class `ComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Parameters:
    `anotherOperator` - an operator to copy the environment to.

### getClickPoint

    public java.awt.Point getClickPoint(int itemIndex)

  Gets point to click on itemIndex'th item.
  Parameters:
    `itemIndex` - an index of an item to click.
  Returns:
    a Point in component's coordinate system.

### getRenderedComponent

    public java.awt.Component getRenderedComponent(int itemIndex,
                                                   boolean isSelected,
                                                   boolean cellHasFocus)

  Ask renderer for component to be displayed.
  Parameters:
    `itemIndex` - Item index.
    `isSelected` - True if the specified cell was selected.
    `cellHasFocus` - True if the specified cell has the focus.
  Returns:
    Component to be displayed.

### getRenderedComponent

    public java.awt.Component getRenderedComponent(int itemIndex)

  Ask renderer for component to be displayed. Uses isSelectedIndex(itemIndex) to determine whether item is selected. Supposes item do not have focus.
  Parameters:
    `itemIndex` - Item index.
  Returns:
    Component to be displayed.

### findItemIndex

    public int findItemIndex(JListOperator.ListItemChooser chooser,
                             int index)

  Searches for index'th item good from chooser's point of view.
  Parameters:
    `chooser` - Item verifying object.
    `index` - Ordinal item index.
  Returns:
    Item index or -1 if search was insuccessful.

### findItemIndex

    public int findItemIndex(JListOperator.ListItemChooser chooser)

  Searches for an item good from chooser's point of view.
  Parameters:
    `chooser` - Item verifying object.
  Returns:
    Item index or -1 if serch was insuccessful.
  See Also:
    `findItemIndex(JListOperator.ListItemChooser, int)`, `findItemIndex(String, boolean, boolean)`

### findItemIndex

    public int findItemIndex(java.lang.String item,
                             Operator.StringComparator comparator,
                             int index)

  Searches for an item good from chooser's point of view.
  Parameters:
    `item` - a text pattern
    `comparator` - a string comparision algorithm
    `index` - Ordinal item index.
  Returns:
    Item index or -1 if serch was insuccessful.
  See Also:
    `findItemIndex(JListOperator.ListItemChooser, int)`, `findItemIndex(String, boolean, boolean)`

### findItemIndex

    public int findItemIndex(java.lang.String item,
                             boolean ce,
                             boolean cc,
                             int index)

  Deprecated. Use findItemIndex(String, int) or findItemIndex(String, StringComparator, int)

  Searched for index'th item by text.
  Parameters:
    `item` - a text pattern
    `ce` - Compare text exactly.
    `cc` - Compare text case sensitively.
    `index` - Ordinal item index.
  Returns:
    Item index or -1 if serch was insuccessful.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findItemIndex

    public int findItemIndex(java.lang.String item,
                             int index)

  Searched for index'th item by text. Uses StringComparator assigned to this object.
  Parameters:
    `item` - a text pattern
    `index` - Ordinal item index.
  Returns:
    Item index or -1 if search was insuccessful.

### findItemIndex

    public int findItemIndex(java.lang.String item,
                             Operator.StringComparator comparator)

  Searches for an item good from chooser's point of view.
  Parameters:
    `item` - a text pattern
    `comparator` - a string comparision algorithm
  Returns:
    Item index or -1 if serch was insuccessful.
  See Also:
    `findItemIndex(JListOperator.ListItemChooser, int)`, `findItemIndex(String, boolean, boolean)`

### findItemIndex

    public int findItemIndex(java.lang.String item,
                             boolean ce,
                             boolean cc)

  Deprecated. Use findItemIndex(String) or findItemIndex(String, StringComparator)

  Searched item by text.
  Parameters:
    `item` - a text pattern
    `ce` - Compare text exactly.
    `cc` - Compare text case sensitively.
  Returns:
    Item index or -1 if search was insuccessful.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findItemIndex

    public int findItemIndex(java.lang.String item)

  Searched for first item by text. Uses StringComparator assigned to this object.
  Parameters:
    `item` - a text pattern
  Returns:
    Item index or -1 if search was insuccessful.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findItemIndex

    public int findItemIndex(ComponentChooser chooser,
                             int index)

  Searches for index'th item by rendered component.
  Parameters:
    `chooser` - Component verifying object.
    `index` - Ordinal item index.
  Returns:
    Item index or -1 if serch was insuccessful.
  See Also:
    `getRenderedComponent(int, boolean, boolean)`

### findItemIndex

    public int findItemIndex(ComponentChooser chooser)

  Searches for an item by rendered component.
  Parameters:
    `chooser` - Component verifying object.
  Returns:
    Item index or -1 if serch was insuccessful.
  See Also:
    `getRenderedComponent(int, boolean, boolean)`

### clickOnItem

    public java.lang.Object clickOnItem(int itemIndex,
                                        int clickCount)

  Clicks on item by item index.
  Parameters:
    `itemIndex` - Item index.
    `clickCount` - count click.
  Returns:
    Click point or null if list does not contains itemIndex'th item.
  Throws:
    `JListOperator.NoSuchItemException` -

### clickOnItem

    public java.lang.Object clickOnItem(java.lang.String item,
                                        Operator.StringComparator comparator,
                                        int clickCount)

  Finds item by item text, and do mouse click on it.
  Parameters:
    `item` - Item text.
    `comparator` - a string comparision algorithm
    `clickCount` - count click.
  Returns:
    Click point or null if list does not contains itemIndex'th item.
  Throws:
    `JListOperator.NoSuchItemException` -

### clickOnItem

    public java.lang.Object clickOnItem(java.lang.String item,
                                        boolean ce,
                                        boolean cc,
                                        int clickCount)

  Deprecated. Use clickOnItem(String, int) or clickOnItem(String, StringComparator, int)

  Finds item by item text, and do mouse click on it.
  Parameters:
    `item` - Item text.
    `ce` - Compare exactly.
    `cc` - Compare case sensitively.
    `clickCount` - count click.
  Returns:
    Click point or null if list does not contains itemIndex'th item.
  Throws:
    `JListOperator.NoSuchItemException` -

### clickOnItem

    public java.lang.Object clickOnItem(java.lang.String item,
                                        int clickCount)

  Finds item by item text, and do mouse click on it. Uses StringComparator assigned to this object.
  Parameters:
    `item` - Item text.
    `clickCount` - count click.
  Returns:
    Click point or null if list does not contains itemIndex'th item.
  Throws:
    `JListOperator.NoSuchItemException` -

### clickOnItem

    public java.lang.Object clickOnItem(java.lang.String item,
                                        Operator.StringComparator comparator)

  Finds item by item text, and do simple mouse click on it. Uses StringComparator assigned to this object.
  Parameters:
    `item` - Item text.
    `comparator` - a string comparision algorithm
  Returns:
    Click point or null if list does not contains itemIndex'th item.
  Throws:
    `JListOperator.NoSuchItemException` -

### clickOnItem

    public java.lang.Object clickOnItem(java.lang.String item,
                                        boolean ce,
                                        boolean cc)

  Deprecated. Use clickOnItem(String) or clickOnItem(String, StringComparator)

  Finds item by item text, and do simple mouse click on it.
  Parameters:
    `item` - Item text.
    `ce` - Compare exactly.
    `cc` - Compare case sensitively.
  Returns:
    Click point or null if list does not contains itemIndex'th item.
  Throws:
    `JListOperator.NoSuchItemException` -

### clickOnItem

    public java.lang.Object clickOnItem(java.lang.String item)

  Finds item by item text, and do simple mouse click on it. Uses StringComparator assigned to this object.
  Parameters:
    `item` - Item text.
  Returns:
    Click point or null if list does not contains itemIndex'th item.
  Throws:
    `JListOperator.NoSuchItemException` -

### scrollToItem

    public void scrollToItem(int itemIndex)

  Scrolls to an item if the list is on a JScrollPane component.
  Parameters:
    `itemIndex` - an item index.
  Throws:
    `JListOperator.NoSuchItemException` -
  See Also:
    `scrollToItem(String, boolean, boolean)`

### scrollToItem

    public void scrollToItem(java.lang.String item,
                             Operator.StringComparator comparator)

  Scrolls to an item if the list is on a JScrollPane component.
  Parameters:
    `item` - Item text
    `comparator` - a string comparision algorithm
  See Also:
    `scrollToItem(String, boolean, boolean)`

### scrollToItem

    public void scrollToItem(java.lang.String item,
                             boolean ce,
                             boolean cc)

  Deprecated. Use scrollToItem(String) or scrollToItem(String, StringComparator)

  Scrolls to an item if the list is on a JScrollPane component.
  Parameters:
    `item` - Item text
    `ce` - Compare exactly.
    `cc` - Compare case sensitively.
  See Also:
    `scrollToItem(String, boolean, boolean)`

### selectItem

    public void selectItem(int index)

  Selects an item by index.
  Parameters:
    `index` - an item index.

### selectItem

    public void selectItem(java.lang.String item)

  Selects an item by text.
  Parameters:
    `item` - an item text.

### selectItems

    public void selectItems(int[] indices)

  Selects items by indices.
  Parameters:
    `indices` - item indices.

### selectItem

    public void selectItem(java.lang.String[] items)

  Selects items by texts.
  Parameters:
    `items` - item texts.

### waitItemsSelection

    public void waitItemsSelection(int[] itemIndices,
                                   boolean selected)

  Waits for items to be selected.
  Parameters:
    `itemIndices` - item indices to be selected
    `selected` - Selected (true) or unselected (false).

### waitItemSelection

    public void waitItemSelection(int itemIndex,
                                  boolean selected)

  Waits for item to be selected.
  Parameters:
    `itemIndex` - an item needs to be selected
    `selected` - Selected (true) or unselected (false).

### waitItem

    public void waitItem(java.lang.String item,
                         int itemIndex)

  Waits for item. Uses getComparator() comparator.
  Parameters:
    `item` - an item text
    `itemIndex` - Index of item to check or -1 to check selected item.

### getDump

    public java.util.Hashtable getDump()

  Returns information about component.
  Overrides:
    `getDump` in class `JComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### addListSelectionListener

    public void addListSelectionListener(javax.swing.event.ListSelectionListener listSelectionListener)

  Maps `JList.addListSelectionListener(ListSelectionListener)` through queue

### addSelectionInterval

    public void addSelectionInterval(int i,
                                     int i1)

  Maps `JList.addSelectionInterval(int, int)` through queue

### clearSelection

    public void clearSelection()

  Maps `JList.clearSelection()` through queue

### ensureIndexIsVisible

    public void ensureIndexIsVisible(int i)

  Maps `JList.ensureIndexIsVisible(int)` through queue

### getAnchorSelectionIndex

    public int getAnchorSelectionIndex()

  Maps `JList.getAnchorSelectionIndex()` through queue

### getCellBounds

    public java.awt.Rectangle getCellBounds(int i,
                                            int i1)

  Maps `JList.getCellBounds(int, int)` through queue

### getCellRenderer

    public javax.swing.ListCellRenderer getCellRenderer()

  Maps `JList.getCellRenderer()` through queue

### getFirstVisibleIndex

    public int getFirstVisibleIndex()

  Maps `JList.getFirstVisibleIndex()` through queue

### getFixedCellHeight

    public int getFixedCellHeight()

  Maps `JList.getFixedCellHeight()` through queue

### getFixedCellWidth

    public int getFixedCellWidth()

  Maps `JList.getFixedCellWidth()` through queue

### getLastVisibleIndex

    public int getLastVisibleIndex()

  Maps `JList.getLastVisibleIndex()` through queue

### getLeadSelectionIndex

    public int getLeadSelectionIndex()

  Maps `JList.getLeadSelectionIndex()` through queue

### getMaxSelectionIndex

    public int getMaxSelectionIndex()

  Maps `JList.getMaxSelectionIndex()` through queue

### getMinSelectionIndex

    public int getMinSelectionIndex()

  Maps `JList.getMinSelectionIndex()` through queue

### getModel

    public javax.swing.ListModel getModel()

  Maps `JList.getModel()` through queue

### getPreferredScrollableViewportSize

    public java.awt.Dimension getPreferredScrollableViewportSize()

  Maps `JList.getPreferredScrollableViewportSize()` through queue

### getPrototypeCellValue

    public java.lang.Object getPrototypeCellValue()

  Maps `JList.getPrototypeCellValue()` through queue

### getScrollableBlockIncrement

    public int getScrollableBlockIncrement(java.awt.Rectangle rectangle,
                                           int i,
                                           int i1)

  Maps `JList.getScrollableBlockIncrement(Rectangle, int, int)` through queue

### getScrollableTracksViewportHeight

    public boolean getScrollableTracksViewportHeight()

  Maps `JList.getScrollableTracksViewportHeight()` through queue

### getScrollableTracksViewportWidth

    public boolean getScrollableTracksViewportWidth()

  Maps `JList.getScrollableTracksViewportWidth()` through queue

### getScrollableUnitIncrement

    public int getScrollableUnitIncrement(java.awt.Rectangle rectangle,
                                          int i,
                                          int i1)

  Maps `JList.getScrollableUnitIncrement(Rectangle, int, int)` through queue

### getSelectedIndex

    public int getSelectedIndex()

  Maps `JList.getSelectedIndex()` through queue

### getSelectedIndices

    public int[] getSelectedIndices()

  Maps `JList.getSelectedIndices()` through queue

### getSelectedValue

    public java.lang.Object getSelectedValue()

  Maps `JList.getSelectedValue()` through queue

### getSelectedValues

    public java.lang.Object[] getSelectedValues()

  Maps `JList.getSelectedValues()` through queue

### getSelectionBackground

    public java.awt.Color getSelectionBackground()

  Maps `JList.getSelectionBackground()` through queue

### getSelectionForeground

    public java.awt.Color getSelectionForeground()

  Maps `JList.getSelectionForeground()` through queue

### getSelectionMode

    public int getSelectionMode()

  Maps `JList.getSelectionMode()` through queue

### getSelectionModel

    public javax.swing.ListSelectionModel getSelectionModel()

  Maps `JList.getSelectionModel()` through queue

### getUI

    public javax.swing.plaf.ListUI getUI()

  Maps `JList.getUI()` through queue

### getValueIsAdjusting

    public boolean getValueIsAdjusting()

  Maps `JList.getValueIsAdjusting()` through queue

### getVisibleRowCount

    public int getVisibleRowCount()

  Maps `JList.getVisibleRowCount()` through queue

### indexToLocation

    public java.awt.Point indexToLocation(int i)

  Maps `JList.indexToLocation(int)` through queue

### isSelectedIndex

    public boolean isSelectedIndex(int i)

  Maps `JList.isSelectedIndex(int)` through queue

### isSelectionEmpty

    public boolean isSelectionEmpty()

  Maps `JList.isSelectionEmpty()` through queue

### locationToIndex

    public int locationToIndex(java.awt.Point point)

  Maps `JList.locationToIndex(Point)` through queue

### removeListSelectionListener

    public void removeListSelectionListener(javax.swing.event.ListSelectionListener listSelectionListener)

  Maps `JList.removeListSelectionListener(ListSelectionListener)` through queue

### removeSelectionInterval

    public void removeSelectionInterval(int i,
                                        int i1)

  Maps `JList.removeSelectionInterval(int, int)` through queue

### setCellRenderer

    public void setCellRenderer(javax.swing.ListCellRenderer listCellRenderer)

  Maps `JList.setCellRenderer(ListCellRenderer)` through queue

### setFixedCellHeight

    public void setFixedCellHeight(int i)

  Maps `JList.setFixedCellHeight(int)` through queue

### setFixedCellWidth

    public void setFixedCellWidth(int i)

  Maps `JList.setFixedCellWidth(int)` through queue

### setListData

    public void setListData(java.util.Vector vector)

  Maps `JList.setListData(Vector)` through queue

### setListData

    public void setListData(java.lang.Object[] object)

  Maps `JList.setListData(Object[])` through queue

### setModel

    public void setModel(javax.swing.ListModel listModel)

  Maps `JList.setModel(ListModel)` through queue

### setPrototypeCellValue

    public void setPrototypeCellValue(java.lang.Object object)

  Maps `JList.setPrototypeCellValue(Object)` through queue

### setSelectedIndex

    public void setSelectedIndex(int i)

  Maps `JList.setSelectedIndex(int)` through queue

### setSelectedIndices

    public void setSelectedIndices(int[] i)

  Maps `JList.setSelectedIndices(int[])` through queue

### setSelectedValue

    public void setSelectedValue(java.lang.Object object,
                                 boolean b)

  Maps `JList.setSelectedValue(Object, boolean)` through queue

### setSelectionBackground

    public void setSelectionBackground(java.awt.Color color)

  Maps `JList.setSelectionBackground(Color)` through queue

### setSelectionForeground

    public void setSelectionForeground(java.awt.Color color)

  Maps `JList.setSelectionForeground(Color)` through queue

### setSelectionInterval

    public void setSelectionInterval(int i,
                                     int i1)

  Maps `JList.setSelectionInterval(int, int)` through queue

### setSelectionMode

    public void setSelectionMode(int i)

  Maps `JList.setSelectionMode(int)` through queue

### setSelectionModel

    public void setSelectionModel(javax.swing.ListSelectionModel listSelectionModel)

  Maps `JList.setSelectionModel(ListSelectionModel)` through queue

### setUI

    public void setUI(javax.swing.plaf.ListUI listUI)

  Maps `JList.setUI(ListUI)` through queue

### setValueIsAdjusting

    public void setValueIsAdjusting(boolean b)

  Maps `JList.setValueIsAdjusting(boolean)` through queue

### setVisibleRowCount

    public void setVisibleRowCount(int i)

  Maps `JList.setVisibleRowCount(int)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD